# Beef Roast

**Entity Type:** Good

## Properties

| Field | Value |
|-------|-------|
| Category | Need |
| Purchase Price | 96 Denarii |
| Selling Price | 38 Denarii |
| Available From | Elders |

## Attributes

| Attribute | Value |
|-----------|-------|
| Population | +3 |
| Income | +2 |

## Production

**Produced By:**
- Earth Oven (Albion)

## Notes

Beef roast is a hearty food need for Elders in Albion, made from oxen and samphire.
